import { Component, OnInit, Output, Input } from "@angular/core";
import { EventEmitter } from "@angular/core";

@Component({
  selector: "app-excel-export",
  templateUrl: "./excel-export.component.html",
  styleUrls: ["./excel-export.component.less"],
})
export class ExcelExportComponent implements OnInit {
  @Output() submitFormHand = new EventEmitter();
  @Output() hideFormHand = new EventEmitter();
  @Input() isShow: boolean = false; //模态框
  @Input() loading: boolean = false; //确定按钮的loading
  deptList = []; //护理单元科室列表
  isNumOrIntegral = "none";
  constructor() {}

  ngOnInit() {}
  // 隐藏模态框
  hideModal() {
    this.hideFormHand.emit();
  }
  // 表单提交
  submitForm(): void {
    this.submitFormHand.emit({isNumOrIntegral:this.isNumOrIntegral});
  }
}
